package com.huimv.eartag2.admin;

//import com.alibaba.nacos.spring.context.annotation.config.NacosPropertySource;
import com.huimv.eartag2.common.config.InterceptorConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Import;

import javax.xml.stream.events.Namespace;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Import(InterceptorConfig.class)
@SpringBootApplication
@MapperScan("com.huimv.eartag2.admin.mapper")
@EnableDiscoveryClient
@RefreshScope
public class HuimvEartag2AdminApplication {
    public static void main(String[] args) {
        SpringApplication.run(HuimvEartag2AdminApplication.class, args);
    }
}
